# -*- coding: utf-8 -*-

import cv2
import requests
import json

def Picture(picturename,deviceNo):
    # カメラデバイスを取得
    cap = cv2.VideoCapture(deviceNo)

    # readでカメラをキャプチャ(画像化)、imgにRGBのデータが入ってくる
    r,img = cap.read()
    
    if r == True:
        print("成功しました。")

        # 名前をつけて保存する
        cv2.imwrite(picturename,img)

        # AVIファイルを解放
        cap.release()

        # ウィンドウを閉じる
        cv2.destroyAllWindows()

        return picturename

    else:
        print("失敗しました。")
        exit


if __name__ == '__main__':
    picture='photo.jpg'
    device = 0 # USBを優先に設定してあるので0番がUSBカメラ(マイク)になる
    Picture(picture,device)


    
    
    
